File: .travis.yml

package info (click to toggle)
node-range-parser 1.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 104 kB
  • sloc: makefile: 6; sh: 2
file content (30 lines) | stat: -rw-r--r-- 948 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
language: node_js
node_js:
  - "0.6"
  - "0.8"
  - "0.10"
  - "0.12"
  - "1.8"
  - "2.5"
  - "3.3"
  - "4.4"
  - "5.11"
  - "6.2"
sudo: false
cache:
  directories:
    - node_modules
before_install:
  # Setup Node.js version-specific dependencies
  - "test $TRAVIS_NODE_VERSION != '0.6' || npm rm --save-dev eslint eslint-config-standard eslint-plugin-promise eslint-plugin-standard istanbul"
  - "test $TRAVIS_NODE_VERSION != '0.8' || npm rm --save-dev eslint eslint-config-standard eslint-plugin-promise eslint-plugin-standard istanbul"

  # Update Node.js modules
  - "test ! -d node_modules || npm prune"
  - "test ! -d node_modules || npm rebuild"
script:
  # Run test script, depending on istanbul install
  - "test ! -z $(npm -ps ls istanbul) || npm test"
  - "test   -z $(npm -ps ls istanbul) || npm run-script test-travis"
after_script:
  - "test -e ./coverage/lcov.info && npm install coveralls@2 && cat ./coverage/lcov.info | coveralls"